package com.loit.shardingsphere.seata.nacos.feign.controller;


import com.loit.shardingsphere.seata.nacos.feign.modules.entity.OrderEntity;
import com.loit.shardingsphere.seata.nacos.feign.modules.service.IBusinessService;
import com.loit.shardingsphere.seata.nacos.feign.modules.service.IOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 前端控制器
 */
@RestController
@RequestMapping("/demo")
@Slf4j
public class DemoController {

    @Resource(name = "businessService")
    IBusinessService businessService;

    @Resource(name = "orderService")
    IOrderService orderService;

    @GetMapping("purchase")
    public void purchase() {
        long startTime = System.currentTimeMillis(); //获取开始时间
        for (long i = 10000000; i <= 20000000; i++) {
            try {
                businessService.purchase(i);
            } catch (Exception e) {
                log.info(e.getMessage(), e);
            }
        }

        long endTime = System.currentTimeMillis(); //获取结束时间

        log.error("程序运行时间：" + (endTime - startTime) + "ms"); //输出程序运行时间
        log.info("success");
    }

    @GetMapping("findPage")
    public void findPage() {

        long startTime = System.currentTimeMillis(); //获取开始时间

        List<OrderEntity> pageList = orderService.findPage(0l, 20l);
        log.info(pageList.toString());
        long endTime = System.currentTimeMillis(); //获取结束时间

        log.error("程序运行时间：" + (endTime - startTime) + "ms"); //输出程序运行时间
        log.info("success");
    }

    @GetMapping("getById")
    public void getById(String orderId) {

        long startTime = System.currentTimeMillis(); //获取开始时间

        OrderEntity byId = orderService.getById(orderId);
        log.error(byId.toString());

        long endTime = System.currentTimeMillis(); //获取结束时间

        log.error("程序运行时间：" + (endTime - startTime) + "ms"); //输出程序运行时间
        log.info("success");

    }


}

